Bug 1271301 - can't turn off screen locking in suspend to ram.
can't turn off screen locking in suspend to ram.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-screensaver (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 10:58 EDT by Gary Gatling
Modified: 2015-10-28 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: mate-screensaver-1.10.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:24:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Gatling 2015-10-13 10:58:16 EDT
Description of problem:

After updating mate-screensaver-1.10.2-1 to mate-screensaver-1.10.2-2
I can't turn off screen locking in suspend to ram with any dconf settings I could find.

When I suspend laptop lock screen is enabled on wakeup and I must type my password.

Version-Release number of selected component (if applicable):

1.10.2-2

How reproducible:


Steps to Reproduce:
1.close laptop lid to suspend to ram
2.open laptop lid
3. lock screen asks me for a password.

Actual results:

Get prompted for password


Expected results:

just have desktop come back without asking for password.


Additional info:

Tried running dconf-editor and changing:

org -> mate -> power-manager

lock-blank-screen (unchecked)
lock-hibernate (unchecked)
lock-keyring-hibernate (unchecked)
lock-keyring-suspend (unchecked)
lock-suspend (unchecked)
lock-use-screensaver (unchecked)

and also

org -> mate -> screensaver

lock-enabled (unchecked)

and changing these settings has no effect. The only way I was able to change the behavior was to dnf downgrade mate-screensaver. Is there some dconf setting I am missing?
Comment 1 Wolfgang Ulbrich 2015-10-14 19:54:37 EDT
This is a change in mate upstream, see https://github.com/mate-desktop/mate-screensaver/commit/f1739c03e00a51e87bd49d04827e5b765d1c70de
Mate-scrrensaver has now improved systemd-login support. With older m-s version the loockscreen after suspend didn't work with systemd-login, which is insecure. Everybody can wake up your notebook and see everthing when you going for a break at your office, for example.
But i agree we have to implement a setting to disable this behaviour, and mate upstream knows this.
Feel free to open a feature request **directly** at mate upstream.
https://github.com/mate-desktop/mate-screensaver
Comment 2 Gary Gatling 2015-10-14 20:24:13 EDT
Ok. Thanks. I opened a new issue here. https://github.com/mate-desktop/mate-screensaver/issues/84
Comment 3 Fedora Update System 2015-10-16 13:51:27 EDT
mate-screensaver-1.10.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eb65ee2ecf
Comment 4 Fedora Update System 2015-10-17 20:52:46 EDT
mate-screensaver-1.10.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mate-screensaver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eb65ee2ecf
Comment 5 Gary Gatling 2015-10-19 17:25:18 EDT
Hi, version 1.10.2-3.fc22 fixes the issue for me. Thanks. If you guys end up changing that so you have to edit some settings somewhere I'm totally cool with that also.
Comment 6 Fedora Update System 2015-10-28 12:24:22 EDT
mate-screensaver-1.10.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.